net.sf.jasperreports.components.spiderchart

## Class FillSpiderDataset

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillElementDataset
  - - net.sf.jasperreports.components.spiderchart.FillSpiderDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ChartDataset, SpiderDataset, JRCloneable, JRElementDataset

      public class FillSpiderDataset
      extends JRFillElementDataset
      implements SpiderDataset

  Version:
    $Id: FillSpiderDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRFillCategorySeries[]` | `categorySeries`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementDataset

      `datasetRun, incrementGroup, parent, resetGroup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillSpiderDataset(SpiderDataset spiderDataset, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `protected void` | `customEvaluate(JRCalculator calculator)` Evaluates the expressions associated with the dataset.
    `protected void` | `customIncrement()` Increments the dataset by collecting the result of the expression evaluation.
    `protected void` | `customInitialize()` Initializes the element dataset.
    `void` | `finishDataset()`
    `org.jfree.data.category.DefaultCategoryDataset` | `getCustomDataset()`
    `java.util.Map<java.lang.Comparable<?>,java.util.Map<java.lang.Comparable<?>,JRPrintHyperlink>>` | `getItemHyperlinks()`
    `org.jfree.chart.labels.StandardCategoryItemLabelGenerator` | `getLabelGenerator()`
    `JRCategorySeries[]` | `getSeries()`
    `boolean` | `hasItemHyperlinks()`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementDataset

      `clone, evaluate, evaluateDatasetRun, evaluateIncrementWhenExpression, getDatasetRun, getFillDataset, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getInputDataset, getResetGroup, getResetTypeValue, getTimeZone, increment, initialize, setBand`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### categorySeries

          protected JRFillCategorySeries[] categorySeries

  - ### Constructor Detail

    - #### FillSpiderDataset

          public FillSpiderDataset(SpiderDataset spiderDataset,
                           JRFillObjectFactory factory)

  - ### Method Detail

    - #### getSeries

          public JRCategorySeries[] getSeries()

      Specified by:
        `getSeries` in interface `SpiderDataset`

    - #### customInitialize

          protected void customInitialize()

      Description copied from class: `JRFillElementDataset`
      Initializes the element dataset.

      The dataset is initialized before being used and after each time the dataset gets reset.

      Specified by:
        `customInitialize` in class `JRFillElementDataset`
      See Also:
        `JRFillElementDataset.getResetTypeValue()`

    - #### customEvaluate

          protected void customEvaluate(JRCalculator calculator)
                                 throws JRExpressionEvalException

      Description copied from class: `JRFillElementDataset`
      Evaluates the expressions associated with the dataset.

      Usually, the result of the evaluation would be preserved so that it is used in `JRFillElementDataset.customIncrement()`

      Specified by:
        `customEvaluate` in class `JRFillElementDataset`
      Parameters:
        `calculator` - used to evaluate expressions
      Throws:
        `JRExpressionEvalException` - any exception that occurs while evaluating expressions

    - #### customIncrement

          protected void customIncrement()

      Description copied from class: `JRFillElementDataset`
      Increments the dataset by collecting the result of the expression evaluation.
      Specified by:
        `customIncrement` in class `JRFillElementDataset`

    - #### getCustomDataset

          public org.jfree.data.category.DefaultCategoryDataset getCustomDataset()

    - #### getLabelGenerator

          public org.jfree.chart.labels.StandardCategoryItemLabelGenerator getLabelGenerator()

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`

    - #### getItemHyperlinks

          public java.util.Map<java.lang.Comparable<?>,java.util.Map<java.lang.Comparable<?>,JRPrintHyperlink>> getItemHyperlinks()

    - #### hasItemHyperlinks

          public boolean hasItemHyperlinks()

    - #### finishDataset

          public void finishDataset()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com